---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.getsequelizeoperator'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.getsequelizeoperator.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [getSequelizeOperator](./sequelize.sequelizecrudrepository.getsequelizeoperator.md)

## SequelizeCrudRepository.getSequelizeOperator() method

Get Sequelize Operator

**Signature:**

```typescript
protected getSequelizeOperator(key: keyof typeof operatorTranslations): symbol;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  key | keyof typeof operatorTranslations | Name of the operator used in loopback eg. lt |

**Returns:**

symbol

Equivalent operator symbol if available in Sequelize eg `Op.lt`


